package com.engine.salary.mapper;

import com.engine.salary.entity.taxrate.TaxRateDetail;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;


public interface TaxRateDetailMapper {

	/**
     * 查询所有记录
     *
     * @return 返回集合，没有返回空List
     */
	List<TaxRateDetail> listAll();


	/**
     * 根据主键查询
     *
     * @param id 主键
     * @return 返回记录，没有返回null
     */
	TaxRateDetail getById(Long id);
	
	/**
     * 新增，插入所有字段
     *
     * @param taxRateDetail 新增的记录
     * @return 返回影响行数
     */
	int insert(TaxRateDetail taxRateDetail);
	
	/**
     * 新增，忽略null字段
     *
     * @param taxRateDetail 新增的记录
     * @return 返回影响行数
     */
	int insertIgnoreNull(TaxRateDetail taxRateDetail);
	
	/**
     * 修改，修改所有字段
     *
     * @param taxRateDetail 修改的记录
     * @return 返回影响行数
     */
	int update(TaxRateDetail taxRateDetail);
	
	/**
     * 修改，忽略null字段
     *
     * @param taxRateDetail 修改的记录
     * @return 返回影响行数
     */
	int updateIgnoreNull(TaxRateDetail taxRateDetail);
	
	/**
     * 删除记录
     *
     * @param taxRateDetail 待删除的记录
     * @return 返回影响行数
     */
	int delete(TaxRateDetail taxRateDetail);


	void deleteByBatchIds(@Param("baseIds") Collection<Long> baseIds);

	List<TaxRateDetail> listByBaseId(Long baseId);


	
}